Skip to main content
PATCH
/
workspaces
/
{workspaceId}
/
documents
/
{documentId}
Rename a document
curl --request PATCH \
  --url https://origami.chat/api/v2/workspaces/{workspaceId}/documents/{documentId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>"
}
'
{
  "object": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "documentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "filename": "<string>",
  "vfsPath": "<string>",
  "kind": "<string>",
  "status": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspaceId
string<uuid>
required
documentId
string<uuid>
required

Body

application/json
name
string
required
Required string length: 1 - 200

Response

The renamed document summary.

object
string
required
Allowed value: "document"
id
string<uuid>
required
documentId
string<uuid>
required

Legacy alias of id — kept for pre-restructure consumers.

filename
string
required

Last segment of the VFS path — the user-facing filename.

vfsPath
string
required
kind
string
required
status
string
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required